Package com.mouseviator.fsuipc.helpers

# Class LVarHelper.FloatLVarReadRequest

java.lang.Object
com.mouseviator.fsuipc.datarequest.DataRequest
com.mouseviator.fsuipc.helpers.LVarHelper.FloatLVarReadRequest

All Implemented Interfaces:
  `IDataRequest<java.lang.Float>`, `IReadOnlyRequest<java.lang.Float>`

Enclosing class:
  LVarHelper

    public static class LVarHelper.FloatLVarReadRequest
    extends DataRequest
    implements IReadOnlyRequest<java.lang.Float>

This class implements LVar read (read-only) request. The returned value will be Float (32-bit float value). The only parameter for the only available constructor this class have is the offset at which the value of Lvar will be found (where you told FSUIPC to store it). This class is best used with `LVarHelper.readLVar(java.lang.String, int, com.mouseviator.fsuipc.helpers.LVarHelper.LVarValueFormat)` function or `LVarHelper.readLVar(java.lang.String, int, com.mouseviator.fsuipc.helpers.LVarHelper.LVarValueFormat, com.mouseviator.fsuipc.FSUIPC, boolean)` function.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.mouseviator.fsuipc.datarequest.IDataRequest

  `IDataRequest.RequestType`

- ## Field Summary

  ### Fields inherited from class com.mouseviator.fsuipc.datarequest.DataRequest

  `BUFFER_LENGTH_BYTE, BUFFER_LENGTH_DOUBLE, BUFFER_LENGTH_FLOAT, BUFFER_LENGTH_INT, BUFFER_LENGTH_LONG, BUFFER_LENGTH_SHORT, dataBuffer, MAX_OFFSET_VALUE, MIN_OFFSET_VALUE, offset, type`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FloatLVarReadRequest​(int offset)` | Construct new LVar read request.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Float` | `getValue()` | Returns the float value stored in this read data request.

  ### Methods inherited from class com.mouseviator.fsuipc.datarequest.DataRequest

  `convertStringToByteArray, copyByteArray, getDataBuffer, getDouble, getFloat, getInt, getLong, getOffset, getShort, getSize, getType, getZeroTerminatedString, putDouble, putDouble, putFloat, putFloat, putInt, putInt, putLong, putLong, putShort, putShort, setOffset, setType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.mouseviator.fsuipc.datarequest.IDataRequest

  `getDataBuffer, getOffset, getSize, getType, setOffset, setType`

  ### Methods inherited from interface com.mouseviator.fsuipc.datarequest.IReadOnlyRequest

  `setValue`

- ## Constructor Details

  - ### FloatLVarReadRequest

    public FloatLVarReadRequest​(int offset)
    Construct new LVar read request.
    Parameters:
      `offset` - The offset at which the LVar value will be stored by FSUIPC.

- ## Method Details

  - ### getValue

    public java.lang.Float getValue()
    Returns the float value stored in this read data request.
    Specified by:
      `getValue` in interface `IDataRequest<java.lang.Float>`
    Returns:
      The read request value.